<?php
 // Erreur syntaxe octale : Seule la valeur 010 est utilisée
 $i = 01093;
 echo "== \$i = 01093 : notation octale erronée ==\n";
 echo   'echo     : $i='.$i." (décimal)\n";
 printf("printf   : \$i=%o (octal)\n",$i);
 echo   'var_dump : ';
 var_dump($i);
 // $i = 18azerty; syntaxe  erronée: erreur à l'exécution
 $i = "18azerty";
 echo "== \$i = \"18azerty\" : notation entière erronée ==\n";  
 echo   'echo     : $i='.$i." (chaîne)\n";
 printf("printf   : \$i=%d (décimal)\n",$i);
 echo   'var_dump : ';
 var_dump($i);
 echo "----après \$i=\$i+0-----\n"; 
 $i=$i+0;
 echo   'echo     : $i='.$i." (décimal)\n";
 printf("printf   : \$i=%d (décimal)\n",$i);
 echo   'var_dump : ';
 var_dump($i);
?>
